## ThunarTreeView ThunarTreeView |

## Functions

GtkWidget * | thunar_tree_view_new ()

## Properties

gboolean | show-hidden | Read / Write

## Signals

gboolean | delete-selected-files | Action

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkTreeView
                        ╰── ThunarTreeView

## Description

## Functions

### thunar_tree_view_new ()

    GtkWidget *
    thunar_tree_view_new (void);

Allocates a new ThunarTreeView instance.

#### Returns

the newly allocated ThunarTreeView instance.

## Property Details

### The `“show-hidden”` property

      “show-hidden”              gboolean

Whether to display hidden and backup folders in this ThunarTreeView.

Owner: ThunarTreeView

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“delete-selected-files”` signal

    gboolean
    user_function (ThunarTreeView *tree_view,
                   gpointer        user_data)

Emitted whenever the user presses the Delete key. This is an internal signal used to bind the action to keys.

#### Parameters

tree_view | a ThunarTreeView. |
user_data | user data set when the signal handler was connected. |

Flags: Action